function theResult = scan(self, theFormat, theSize)

% batch/scan -- Scan ahead in the batch-file.
%  scan(self, theFormat, theSize) scans the current
%   batch-file by calling "fscanf".  See "help fscanf".
 
% Copyright (C) 1999 Dr. Charles R. Denham, ZYDECO.
%  All Rights Reserved.
%   Disclosure without explicit written consent from the
%    copyright owner does not constitute publication.
 
% Version of 18-Oct-1999 20:53:33.
% Updated    19-Oct-1999 08:24:50.

if nargin > 2
	result = fscanf(self.itsBatchFilePtr, theFormat, theSize);
elseif nargin > 1
	result = fscanf(self.itsBatchFilePtr, theFormat);
elseif nargin > 0
	result = fscanf(self.itsBatchFilePtr);
else
	help(mfilename)
end

if nargout > 0
	theResult = result;
else
	assignin('caller', 'ans', result)
end
