function theResult = seek(self, theOffset, theOrigin)

% batch/seek -- Seek a batch-file position.
%  seek(self, theOffset, theOrigin) sets the file-position
%   of the current batch-file to theOffset, with respect
%   to theOrigin.  See "help fseek".
 
% Copyright (C) 1999 Dr. Charles R. Denham, ZYDECO.
%  All Rights Reserved.
%   Disclosure without explicit written consent from the
%    copyright owner does not constitute publication.
 
% Version of 18-Oct-1999 20:53:33.
% Updated    18-Oct-1999 20:53:33.

if nargin < 1, help(mfilename), return, end
if nargin < 3, theOrigin = 'bof'; end

result = fseek(self.itsBatchFilePtr, theOffset, theOrigin);

if nargout > 0
	theResult = result;
else
	assignin('caller', 'ans', result)
end
