function self = epic(theFilename, thePermission)

% epic/epic -- Constructor for "epic" class.
%  epic('theFilename', 'thePermission') returns an "epic"
%   object, derived from the "netcdf" class.  This routine
%   does not verify that 'theFilename' refers to an actual
%   EPIC file.
 
% Copyright (C) 1997 Dr. Charles R. Denham, ZYDECO.
%  All Rights Reserved.
%   Disclosure without explicit written consent from the
%    copyright owner does not constitute publication.
 
% Version of 13-May-1997 11:15:01.
% Updated    09-Sep-1999 11:45:31.

if nargout > 0, self = []; end

if nargin < 1, help(mfilename), return, end

if nargout < 1 & nargin == 1
	if isequal(theFilename, 'version')
		helpdlg(help('epic/version'), 'epic')
		return
	end
end

if nargin == 1
   theNetCDF = netcdf(theFilename);
  elseif nargin == 2
   theNetCDF = netcdf(theFilename, thePermission);
end

if isempty(theNetCDF), return, end

theStruct.ignore = [];
result = class(theStruct, 'epic', theNetCDF);

if nargout > 0
   self = result;
else
   ncans(result)
end
