function theResult = Event(self)

% ListEdit/Event -- Event handler.
%  Event(self) handles mouse events associated
%   with self, a "listedit" object.
 
% Copyright (C) 1997 Dr. Charles R. Denham, ZYDECO.
%  All Rights Reserved.
%   Disclosure without explicit written consent from the
%    copyright owner does not constitute publication.
 
% Version of 13-Jan-1998 17:58:49.

if nargin < 1, help(mfilename), return, end
if nargin < 2, theMode = 'normal'; end

theFigure = self.itSelf;

theSource = findobj(theFigure, 'Tag', 'Source');
theEdit = findobj(theFigure, 'Tag', 'Edit');
theOkay = findobj(theFigure, 'Tag', 'Okay');
theCancel = findobj(theFigure, 'Tag', 'Cancel');

theSrcString = get(theSource, 'String');
theSrcValue = get(theSource, 'Value');
theEditString = get(theEdit, 'String');

theTag = get(gcbo, 'Tag');
theValue = get(gcbo, 'Value');
theOldValue = get(gcbo, 'UserData');
set(gcbo, 'UserData', theValue)

switch lower(theTag)
case 'source'
   theSrc = theSource;
   set(theSrc, 'UserData', theValue)
   set(theEdit, 'String', theSrcString{theValue})
case 'edit'
    theSrcString{theSrcValue} = get(theEdit, 'String');
    set(theSource, 'String', theSrcString)
case {'cancel', 'okay'}
    set(theOkay, 'UserData', theSrcString)
    set(theCancel, 'UserData', [])
    set(theFigure, 'UserData', [])   % Ends "modal" state.
otherwise
end
