function theResult = PXCallback(self, theCallback)

% PXCallback -- Set/get the callback function.
%  PXCallback(self, 'theCallback') sets the callback
%   function of self, a "px" object, to 'theCallback'.
%   The callback is typically invoked within a
%   "pxevent" method as "feval('theCallback', {self})",
%   where self is hidden inside a cell, since the
%   callback function is not a method of the class
%   of self.  The actual calling syntax is determined
%   by the class itself.
%  PXCallback(self) returns the callback of self.
 
% Copyright (C) 1997 Dr. Charles R. Denham, ZYDECO.
%  All Rights Reserved.
%   Disclosure without explicit written consent from the
%    copyright owner does not constitute publication.
 
% Version of 06-Jun-1997 10:40:13.

if nargin < 1, help(mfilename), return, end

if nargin < 2
   result = pxget(self, 'itsCallback');
  else
   result = pxset(self, 'itsCallback', theCallback);
end

if nargout > 0, theResult = result; end
