function theMenu = EditMenu(theMenuName)

% EditMenu -- Install the standard Edit menu.
%  EditMenu(theMenuName) installs the standard Edit menu
%   in the current window.  TheMenuName defaults to '<Edit>'.
 
% Copyright (C) 1996 Dr. Charles R. Denham, ZYDECO.
% All Rights Reserved.

if nargin < 1, help EditMenu, theMenuName = ''; end

if isempty(theMenuName), theMenuName = '<Edit>'; end

h = pxmenu(gcf, {theMenuName, ...
                 '>Undo', ...
                 '-Cut', ...
                 '>Copy', ...
                 '>Paste', ...
                 '>Clear', ...
                 '-Select All', ...
                 '>Show Clipboard'});

if nargout > 0, theMenu = h(:); end
