function theMenu = FileMenu(theMenuName)

% FileMenu -- Install the standard File menu.
%  FileMenu(theMenuName) installs the standard File menu
%   in the current window.  TheMenuName defaults to '<File>'.
 
% Copyright (C) 1996 Dr. Charles R. Denham, ZYDECO.
% All Rights Reserved.

if nargin < 1, help FileMenu, theMenuName = ''; end

if isempty(theMenuName), theMenuName = '<File>'; end

h = pxmenu(gcf, {theMenuName, ...
                 '>Create...', ...
                 '>Open...', ...
                 '>>Read Only...', ...
                 '>>Update...', ...
                 '-Close', ...
                 '>Save', ...
                 '>Save As...', ...
                 '>Revert To Saved...', ...
                 '-Page Setup...', ...
                 '>Print...', ...
                 '-Done'});

if nargout > 0, theMenu = h(:); end
