function theMenu = ViewMenu(theMenuName)

% ViewMenu -- Install the standard View menu.
%  ViewMenu(theMenuName) installs the standard View menu
%   in the current window.  TheMenuName defaults to '<View>'.
 
% Copyright (C) 1996 Dr. Charles R. Denham, ZYDECO.
% All Rights Reserved.

if nargin < 1, help ViewMenu, theMenuName = ''; end

if isempty(theMenuName), theMenuName = '<View>'; end

h = pxmenu(gcf, {theMenuName, ...
                 '>Home', ...
                 '-Refresh', ...
                 '>Resize', ...
                 '-View 2-d', '>View 3-d', ...
                 '-Zoom', ...
                 '>>Zoom In', '>>Zoom Out', ...
                 '--Zoom In X', '>>Zoom In Y', ...
                 '--Zoom Out X', '>>Zoom Out Y', ...
                 '-Auto Zoom', '>>Auto Zoom On', ...
                 '->Auto Zoom Out', '->Auto Zoom Off', ...
                 '-Orientation', ...
                 '>>Landscape', '>>Portrait', '>>Tall', ...
                 '-Toggle', ...
                 '>>Controls', ...
                 '>>Menu Bar', ...
                 '>>Resizable'});

if nargout > 0, theMenu = h(:); end
