function theResult = savemask(self)

% starbare/savemask -- Save the masks.
%  savemask(self) saves any new marks found in the
%   masks associated with images that represemt the
%   variables of self, a "starbare" object.
 
% Copyright (C) 1999 Dr. Charles R. Denham, ZYDECO.
%  All Rights Reserved.
%   Disclosure without explicit written consent from the
%    copyright owner does not constitute publication.
 
% Version of 13-Jan-1999 11:30:03.

if nargin < 1, help(mfilename), return, end

if nargout > 0, theResult = []; end

theImages = pxget(self, 'itsImages');
theMask = pxget(self, 'itsMask');
theVariables = pxget(self, 'itsVariables');
len = length(theVariables);

for k = 1:len
	theMaskVariables{k} = theMask{theVariables{k}};
end

for k = 1:length(theImages)
	h = theImages(k);
	p = px(h);
	if changed(p)
		busy
		x = p.x;   % Ensemble.
		y = p.y;   % Bin.
		s = p.s;   % 0 or 1.
		v = theMaskVariables{k};
		v(x, y) = s.';   % Note transpose.
		p = changed(p, 0);
	end
end

idle
