function aduplicate(fileName, newFileName)

% aduplicate -- Duplicate file via AppleScript.
%  aduplicate(fileName ,  newFileName ) duplicates
%   the file 'fileName' to the new file 'newFileName'.
%   If 'fileName' contains no file-separators, the
%   "which" function is used to get its full-path.
%
% See also: ACOPY, ARENAME, AMOVE, AREVEAL, APPLESCRIPT.
 
% Copyright (C) 1999 Dr. Charles R. Denham, ZYDECO.
%  All Rights Reserved.
%   Disclosure without explicit written consent from the
%    copyright owner does not constitute publication.
 
% Version of 14-Jul-1999 10:48:34.
% Updated    14-Jul-1999 17:02:56.

if ~any(fileName == filesep)
	fileName = which(fileName);
end

fileName = ['"' fileName '"'];
newFileName = ['"' newFileName '"'];

resultString = applescript('aduplicate.mac', '-useEnglish', ...
                           'itemName', fileName, 'newName', newFileName);
						   
resultString = resultString(2:end-1);
disp(resultString)
