function fixmetadata(filename)

%function fimetadata(filename)  
%fixes certain metada attributes 'experiment', 'project', 'description' in
%a user friendly way
%
%filename = name of netcdf file
%
%
% Written by Stephen Ruane
% for the U.S. Geological Survey
% Coastal and Marine Geology Program
% Woods Hole, MA
% http://woodshole.er.usgs.gov/
% Please report bugs to sruane@usgs.gov

h = netcdf(filename,'write')
if isempty(h),return, end

	prompt  = {...
    'Experiment:                                ',...
    'Description:                               ',...
	'Project:                                   ',...
	'Comments:                                  ',...
    'Longitude(decimal degrees):                ',...
    'Units:                                     ',...
    'Latitude(decimal degrees):                 ',...
    'Units:                                     '};
      
	def     = {h.EXPERIMENT(:),h.PROJECT(:),h.DESCRIPT(:),h.DATA_CMNT(:),...
        num2str(h.longitude(:)),h{'lon'}.units(:),num2str(h.latitude(:)),h{'lat'}.units(:)};
	title   = ['Mooring ',h.MOORING(:)];
	lineNo  = 1;
	dlgresult  = inputdlg(prompt,title,lineNo,def,'on');
	experiment = dlgresult{1};
    project = dlgresult{2};
   	descript = dlgresult{3};
	cmnt = dlgresult{4};
    long = str2num(dlgresult{5});
    lonUnits = dlgresult{6};
    latit = str2num(dlgresult{7});
    latUnits = dlgresult{8};
    
    fexperiment = h.EXPERIMENT;
    fproject = h.PROJECT;
    fdescript = h.DESCRIPT;
    fcmnt = h.DATA_CMNT;
    flong = h.longitude;
    flonUnits = h{'lon'}.units;
    flatit = h.latitude;
    flatUnits = h{'lat'}.units;
    
    fexperiment(:) = experiment;
    fproject(:) = project;
    fdescript(:) = descript;
    fcmnt(:) = cmnt;
    flong(:) = long;
    flonUnits(:) = lonUnits;
    flatit(:) = latit;
    flatUnits(:) = latUnits;



% %Get the correct intervals
% prompt  = {'Enter Experiment Name:', 'Enter the Project Name:'...
%    'Enter the Site Description:', 'Comments:'};
% def     = {h.EXPERIMENT(:), h.PROJECT(:),h.DESCRIPT(:), h.DATA_CMNT(:)};
% title   = 'Input correct metadata:';
% lineNo  = 1;
% dlgresult  = inputdlg(prompt,title,lineNo,def);
% Experiment = dlgresult{1};
% Project = dlgresult{2};
% Description = dlgresult{3};
% Comments = dlgresult{4};
% 
% fexper = h.EXPERIMENT;
% fproj = h.PROJECT;
% fdescrip = h.DESCRIPT;
% fcomnt = h.DATA_CMNT;
% 
% fexper(:) = Experiment;
% fproj(:) = Project;
% fdescrip(:) = Description;
% fcomnt(:) = Comments

ncclose

thecomment=sprintf('%s\n',' The metadata were corrected by fixmetadata.m');
history(filename,thecomment);

