function fixorientation(filename)

%function fimorientation(filename)  
%corrects orientation to user specified UP or DOWN, as the value determined
%in rdi2cdf.m can be incorrect due to instrument being tilted the opposite
%direction at the time of first ping.
%
%filename = name of netcdf file
%
%
% Written by Stephen Ruane
% for the U.S. Geological Survey
% Coastal and Marine Geology Program
% Woods Hole, MA
% http://woodshole.er.usgs.gov/
% Please report bugs to sruane@usgs.gov

h = netcdf(filename,'write')
if isempty(h),return, end

orientation = questdlg('What is the orientation?','Orientation Fixer','UP','DOWN',h.orientation(:));

h.orientation(:) = orientation;

ncclose

thecomment=sprintf('%s\n',' The orientation was corrected by fixorientation.m');
history(filename,thecomment);

